{% load i18n %}
<script type="text/javascript">var go_from_select = function(opt) { window.location = window.location.pathname + opt };</script>
<select onchange="go_from_select(this.options[this.selectedIndex].value)">
{% for choice in choices %}
    <option{% if choice.selected %} selected="selected"{% endif %}
     value="{{ choice.query_string|iriencode }}">{{ choice.display }}</option>
{% endfor %}
</select>